Release 13 and xcode 4.1



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 31/08/2011 at 00:45, xxxxxxxx wrote:

    User Information:
    Cinema 4D Version:   R13 
    Platform:    Mac  ;  
    Language(s) :     C++  ;

    ---------
    Hi,
    Will release 13 support xcode 4.1 for developing plug-ins?
    Thanks,

    Jon



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 31/08/2011 at 02:36, xxxxxxxx wrote:

    Xcode 4 is not officially suported by MAXON, sorry.

    cheers,
    Matthias



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 31/08/2011 at 03:53, xxxxxxxx wrote:

    So, I assume this means no compatibility with LLVM compiled code?
    What version of gcc should be used to ensure compatibility?
    Thanks again!

    Jon



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 31/08/2011 at 04:03, xxxxxxxx wrote:

    I am not that familiar with Xcode. I will forward your question to our developers.

    cheers,
    Matthias



  • THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

    On 31/08/2011 at 04:10, xxxxxxxx wrote:

    A quote from our developers:

    The R13 sdk builds fine with Xcode 4.x, but we would still advise you to use XCode 3.2.x (and OS X 10.6), as we think XCode 4.x isn't production-ready yet. The (clang & LLVM-GCC) compiler is fine, but the IDE and debugger (integration) are prone to crashes.

    XCode 4.x is getting better with every update, but we think it will take some months, until IDE and debugger are in a mature state.

    cheers,
    Matthias


Log in to reply